Name:           apriltag
Version:        3.3.0
Release:        2%{?dist}
Summary:        Visual fiducial system popular for robotics research

# The entire source code BSD-2-Clause except common/pthreads_cross.{cpp,h} which is MIT
License:        BSD-2-Clause AND BSD-2-Clause-Views AND MIT
URL:            https://april.eecs.umich.edu/software/apriltag
Source0:        https://github.com/AprilRobotics/apriltag/archive/v%{version}/%{name}-%{version}.tar.gz

# Drop demo targets - not submitted upstream
Patch0:         %{name}-3.3.0-fedora.patch

BuildRequires:  cmake3
BuildRequires:  gcc-c++

%description
AprilTag is a visual fiducial system popular in robotics research. This package
contains the most recent version of AprilTag, AprilTag 3, which includes a
faster (>2x) detector, improved detection rate on small tags, flexible tag
layouts, and pose estimation. AprilTag consists of a small C library with
minimal dependencies.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?isa} = %{version}-%{release}

%description devel
Development files for the %{name} package.


%prep
%autosetup -p1


%build
%cmake3 \
  -DBUILD_PYTHON_WRAPPER:BOOL=OFF \
  -DCMAKE_C_STANDARD:STRING=99 \
  %{nil}
%cmake3_build


%install
%cmake3_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/lib%{name}.so.3*

%files devel
%{_includedir}/apriltag/
%{_datadir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Aug 23 2023 Scott K Logan <logans@cottsay.net> - 3.3.0-2
- Update license declaration
- Use SONAME in library file wildcard
- Minimize demo-dropping patch

* Tue Jan 31 2023 Scott K Logan <logans@cottsay.net> - 3.3.0-1
- Initial package
